% filtrage des donnees (ve,vn,agcc)  

  [b,a]=butter(5,1/10);
  for j=1:45
  vefre1(:,j)=filtfilt(b,a,dynre1ve(:,j)); 
  vnfre1(:,j)=filtfilt(b,a,dynre1vn(:,j)); 
  agcfre1(:,j)=filtfilt(b,a,dynre1ag(:,j)); 
  end
  plot(vefre1)
  title('Vitesse est,filtr‚e,de tous les bins')  
  pause
  plot(vnfre1)
  title('Vitesse nord,filtr‚e,de tous les bins')  
  pause
  plot(agcfre1)
  title('Agc,filtr‚e,pour tous les bins')  
  pause

% echantillonnage des donnees (agcc,ve,vn,naviguation) toutes les 20 minutes  
  
  veftre1=vefre1(1:10:881,:);
  vnftre1=vnfre1(1:10:881,:);
  agcftre1=agcfre1(1:10:881,:);
  hetre1=dynre1he(1:10:881,:);
  plot(veftre1,'x')
  title('Vitesse est,filtr‚e et ‚chantillonn‚e toutes les 20 minutes') 
  pause
  plot(vnftre1,'x')
  title('Vitesse nord,filtr‚e et ‚chantillonn‚e toutes les 20 minutes') 
  pause
  plot(agcftre1)
  title('Agc,fitr‚e et ‚chantillonn‚e toutes les 20 minutes') 
  pause
